Quassel IRC - Bug #1477

QuasselClient crashes sometimes when disconnecting from a network
02/16/2018 12:16 AM - wink

Status: New Start date: 02/16/2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.13.0

Version: 0.12.4 0S: Any
Description

How to reproduce:

Create new network, connect, disconnect for a few times.
Either it helps or it is needed that you not only have the "All Chats" Chat List, but in my case | show 2, named "Channels" and
"Queries" showing only those. Maybe "Hide inactive networks" also plays a part

Attached is a gdb backtrace when Quassel was built on Debian from master (Qt version doesn't seem to matter). The problem is also
there in 0.12.4 on Windows. My core is 0.12.2.

History

#1 - 06/24/2018 06:44 PM - genius3000

Quick note: | found that disconnecting the "last" network in a list to almost always cause this crash. digitalcircuit narrowed it down to the function/line
where it happens, just a matter of getting it fixed yet.

#2 - 08/06/2018 04:33 AM - genius3000

- Target version set to 0.13.0

Relevant chat from debugging:

[2018-06-20 06:11:55] <digitalcircuit> It crashes in void TreeModel::iitemDataChanged(int column) {[...] emit dataChanged(leftindex, rightindex); }
[2018-06-20 06:12:00] <digitalcircuit> The very end where it emits the signal.

[2018-06-20 06:12:27] <digitalcircuit> I've browsed the debugging stack trace through files, tried checking validity, not sure what's going on...

| continued from digitalcircuit's findings a bit but never got far. Seems like the code finding the new index(es) doesn't handle when it's the last
connected network, but | don't know the Qt window/widget stuff to understand it.

Files

quassel_crash_on_disconnect.txt 14.5 KB 02/15/2018 wink
